Apacheの帯域制限 mod_bw

トラフィック量の関係から、Apacheで帯域制限をかけたい事案があり、調査。
mod_bwというモジュールで比較的簡単に制限できるらしい。

早速配布元からダウンロード。最新版は0.91ですね。
解凍後、下記コマンドで自動的に組み込まれます。

/usr/sbin/apxs ./mod_bw.c
service httpd reload

ふむふむ。

~略~undefined symbol: ap_get_server_banner

( ゚д゚)

どうやらApache2.2.4以上でないとダメらしい。
参考:http://oshiete.goo.ne.jp/qa/3962582.html

うーん、どうしたものか・・・試しに0.7をダウンロードしてインストールしてみたところ・・成功!yumでは現在使用中のApache2.2.3が最新みたいなので、mod_bw0.7で様子見。